import Panel from "../views/Panel";
import { ThroughSubmitData } from "../../libs/tw/data/custom/throughSubmit/ThroughSubmitData";
import AchievementPicItem from "../item/AchievementPicItem";

export default class UpgradeRewardPanel2 extends Panel {
    public get skinKey() { return "UpgradeRewardPanel2" }

    public picContainer: eui.DataGroup;

    onSkinComplete() {
        super.onSkinComplete();
        this.picContainer.addChild(new AchievementPicItem(this.data["achievement"]));
    }
}